### Method

# Ide SubprocessLauncher set_argv

#### Declaration

    void
    ide_subprocess_launcher_set_argv (
      IdeSubprocessLauncher* self,
      const gchar* const* args
    )

#### Description

Clears the previous arguments and copies `args` as the new argument array for the subprocess.

#### Parameters

`args` | An array of `utf8`
| A `NULL` terminated array of strings.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.